@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
rem setlocal enabledelayedexpansion
REM AYTO TO SCRIPT ΕΞΑΓΕΙ ΤΟΥΣ ΥΠΟΤΙΤΛΟΥΣ ΑΠΟ ENA H ΠΕΡΙΣΣΟΤΕΡΑ ARXEIA HXOY ΩΣ ΙΔΙΑ ONOMATA.srt 
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 


REM HELP: https://superuser.com/questions/583393/how-to-extract-subtitle-from-video-using-ffmpeg
REM Μην με παρεξηγήσετε αλλά δεν προσπαθησα να μπλέξω το FFbrobe σε περιπτωση υπαρξης περισσοτέρων
REM υπότιτλων του ενός γιατι οπως εγραψα και στο αλλο script της προσθεσης δεν ειναι για αυτην την
REM ΔΟΥΛΕΙΑ το FFmpeg αλλά δεν βρισκονται και πολλά βιντεο πλέον με soft subs, ολα ειναι hard copy!

:FF

echo.
echo Εξάγω τον υπότιτλο από το "%~1" ..
echo.

call ffmpeg -v quiet -stats -loglevel error -i "%~1" "%~p1%~n1.srt"	

if %ERRORLEVEL% NEQ 0 (
	call vidCodeError.bat %errorlevel%
	shift
) else (
	call vidCodeError.bat 0
	shift		
)


if "%~1" == "" goto End
goto FF

rem endlocal 


:End 
call vid0ends.bat
exit /b 0